scim_imengine_module.h File Reference

definition of IMEngineModule related classes. More...

## Classes

class | scim::IMEngineModule
| The class to manipulate the IMEngine modules. More...

## Namespaces

namespace | scim

## Typedefs

typedef unsigned int(* | scim::IMEngineModuleInitFunc) (const ConfigPointer &config)
| Initialize a IMEngine Module.
typedef IMEngineFactoryPointer(* | scim::IMEngineModuleCreateFactoryFunc) (unsigned int engine)
| Create a factory instance for an engine,.

## Functions

int | scim::scim_get_imengine_module_list (std::vector< String > &mod_list)
| Get a name list of currently available IMEngine modules.

## Detailed Description

definition of IMEngineModule related classes.